#ifndef _AOTSYSTEM_H_
#define _AOTSYSTEM_H_

extern "C"
{
	__declspec(dllexport) BOOL SetHook(HWND hWnd);
	__declspec(dllexport) BOOL ClearHook(HWND hWnd);
}

#define AOT_AOT_MSG \
	_T("AOT_AOT_MSG-" \
	"{46A93B29-BA47-48f6-BA80-7F12AF45CED2}")
#define AOT_DISPLAY_MSG \
	_T("AOT_DISPLAY_MSG-" \
	"{46A93B29-BA47-48f6-BA80-7F12AF45CED2}")

CObArray m_MonitorArray;
typedef struct tagADDMONITOR
{
	CObArray* pMonitors;
	int currentIndex;
} ADDMONITOR, * LPADDMONITOR;
#ifndef _CMONITOR_H_
#define _CMONITOR_H_

// CMonitor 

class CMonitor : public CObject
{
public:
	//construction destruction
	CMonitor();
	CMonitor(const CMonitor& monitor);
	virtual ~CMonitor();

	//operations
	void Attach(const HMONITOR hMonitor);
	HMONITOR Detach();

	//properties
	BOOL IsOnMonitor( const POINT pt ) const;
	BOOL IsOnMonitor( const CWnd* pWnd ) const;
	BOOL IsOnMonitor( const LPRECT lprc ) const;

	void GetMonitorRect(LPRECT lprc) const;
	void CenterRectToMonitor( LPRECT lprc, const BOOL UseWorkAreaRect = TRUE ) const;
	void CenterWindowToMonitor( CWnd* const pWnd, const BOOL UseWorkAreaRect = TRUE ) const;
	void GetWorkAreaRect( LPRECT lprc ) const;
	//operators
	operator HMONITOR() const
	{
		return this == NULL ? NULL : m_hMonitor;
	}

	BOOL operator ==(const CMonitor& monitor) const
	{
		return m_hMonitor == (HMONITOR)monitor;
	}

	BOOL operator !=(const CMonitor& monitor) const
	{
		return !(*this == monitor);
	}

	void operator =(const CMonitor& monitor)
	{
		m_hMonitor = (HMONITOR)monitor;
	}


	UINT AOT_DISP;
private:
	HMONITOR m_hMonitor;
};
#endif
#endif